Prima::ExtLists(3)

NAME
Prima::ExtLists - extended functionality for list boxes

DESCRIPTION
The module is intended to be a collection of list boxes with particular enhancements. Currently the only package is contained is "Prima::CheckList" class.

Prima::CheckList
Provides a list box, where each item is equipped with a check box. The check box state can interactively be toggled by the enter key; also the list box reacts differently by click and double click.

  Properties

vector VEC
    VEC is a vector scalar, where each bit corresponds to the check state of each list box item.

    See also: the vec entry in the perlfunc manpage.

AUTHOR
Dmitry Karasik, <dmitry@karasik.eu.org>.

SEE ALSO
the Prima manpage, the Prima::Lists manpage, examples/extlist.pl